Skip to content

Get the currently logged in user of the application

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the user who is currently logged in to the application

Method name

ManagementClient.listApplicationActiveUsers

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9
options<a ListApplicationActiveUsersOptionsDtoNo-Optional

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.listApplicationActiveUsers({
    appId: "6229ffaxxxxxxxxcade3e3d9",
    options: {
      pagination: {
        page: 1,
        limit: 10,
      },
      withCustomData: true,
      withIdentities: true,
      withDepartmentIds: true,
    },
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: UserPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a UserPagingDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "userId": "6229ffaxxxxxxxxcade3e3d9",
      "createdAt": "2022-07-03T03:20:30.000Z",
      "updatedAt": "2022-07-03T03:20:30.000Z",
      "status": "Activated",
      "workStatus": "Active",
      "externalId": "10010",
      "email": "test@example.com",
      "phone": "188xxxx8888",
      "phoneCountryCode": "+86",
      "username": "bob",
      "name": "xxxx",
      "nickname": "xxxx",
      "photo": "https://files.authing.co/authing-console/default-user-avatar.png",
      "loginsCount": 3,
      "lastLogin": "2022-07-03T03:20:30.000Z",
      "lastIp": "127.0.0.1",
      "gender": "M",
      "emailVerified": true,
      "phoneVerified": true,
      "passwordLastSetAt": "2022-07-03T03:20:30.000Z",
      "birthdate": "2022-06-03",
      "country": "CN",
      "province": "BJ",
      "city": "BJ",
      "address": "xxxxxxx",
      "streetAddress": "xxx street",
      "postalCode": "438100",
      "company": "steamory",
      "browser": "Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0",
      "device": "iOS",
      "givenName": "xx",
      "familyName": "xx",
      "middleName": "James",
      "profile": "alice",
      "preferredUsername": "alice",
      "website": "https://my-website.com",
      "zoneinfo": "GMT-08:00",
      "locale": "af",
      "formatted": "132, My Street, Kingston, New York 12401.",
      "region": "Xinjiang Uyghur Autonomous Region",
      "userSourceType": "register",
      "passwordSecurityLevel": 1,
      "departmentIds": "[\"624d930c3xxxx5c08dd4986e\",\"624d93102xxxx012f33cd2fe\"]",
      "identities": {
        "identityId": "62299d8b866d2dab79a89dc4",
        "extIdpId": "6076bacxxxxxxxxd80d993b5",
        "provider": "wechat",
        "type": "openid",
        "userIdInIdp": "oj7Nq05R-RRaqak0_YlMLnnIwsvg",
        "accessToken": "57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx",
        "refreshToken": "57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx",
        "originConnIds": "[\"605492ac41xxxxe0362f0707\"]"
      },
      "identityNumber": "420421xxxxxxxx1234",
      "customData": {
        "school": "xxx",
        "age": 22
      },
      "statusChangedAt": "2022-07-03T03:20:30.000Z"
    }
  }
}

Data Structure

ListApplicationActiveUsersOptionsDto

NameTypeIs it required?DescriptionSample value
paginationNoPagination configuration Nested type: <a PaginationDto.{"page":1,"limit":10}
withCustomDatabooleannoGet custom datatrue
withIdentitiesbooleannoGet identitiestrue
withDepartmentIdsbooleannoGet department ID listtrue

PaginationDto

NameTypeIs it required?DescriptionSample value
pagenumbernoCurrent page number, starting from 11
limitnumbernoNumber of pages per page, maximum cannot exceed 50, default is 1010

UserPagingDto

NameTypeIs it required?DescriptionSample value
totalCountnumberYesTotal number of records
listarrayYesData list nested type: <a UserDto.

UserDto

| Name | Type | Is it required? | Description | Sample value | | ------------------------ | ------- | --------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- | --- | ----------------- | ------ | --- | ------------------ | ------- | | userId | string | is | the unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id. | 6229ffaxxxxxxxxcade3e3d9 | | createdAt | string | yes | creation time | 2022-07-03T03:20:30.000Z | | updatedAt | string | yes | update time | 2022-07-03T03:20:30.000Z | | status | string | yes | current status of the account:
- Activated: normal status
- Suspended: deactivated
- Deactivated: disabled
- Resigned: resigned
- Archived: archived
| Suspended | | workStatus | string | yes | current work status of the account | Closed | | externalId | string | no | third-party external ID | 10010 | | email | string | no | email address, case insensitive | test@example.com | | phone | string | No | Phone number without area code. If it is an international phone number, please specify the area code in the phoneCountryCode parameter. | 188xxxx8888 | | phoneCountryCode | string | No | Phone area code. This parameter is optional for phone numbers in mainland China. The GenAuth SMS service does not yet support international phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes. | +86 | | username | string | No | User name, unique in the user pool | bob | | name | string | No | User's real name, not unique | xxxx xxx | | nickname | string | No | Nickname | xxxx xxx | | photo | string | no | Avatar link | https://files.authing.co/authing-console/default-user-avatar.png | | loginsCount | number | no | Total number of historical logins | 3 | | lastLogin | string | no | Last login time | 2022-07-03T03:20:30.000Z | | lastIp | string | no | Last login IP | 127.0.0.1 | | gender | string | yes | Gender:
- M: Male, male
- F: Female, female
- U: Unknown, unknown
| M | | emailVerified | boolean | yes | Is the email verified? | true | | phoneVerified | boolean | yes | Is the phone number verified? | true | | passwordLastSetAt | string | No | User's last password modification time | 2022-07-03T03:20:30.000Z | | birthdate | string | No | Date of birth | 2022-06-03 | | country | string | No | Country | CN | | province | string | No | Province | BJ | | city | string | No | City | BJ | | address | string | No | Address | Beijing Chaoyang | | streetAddress | string | No | Street address | Beijing Chaoyang District xxx Street | | postalCode | string | No | Postal code | 438100 | | company | string | No | Company | steamory | | browser | string | No | Last login browser UA | Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0 | | device | string | No | Last login device | iOS | | givenName | string | no | First Name | xx | | familyName | string | no | Last Name | xx | | middleName | string | no | Middle Name | James | | profile | string | no | Preferred Username | alice | | preferredUsername | string | no | Preferred Username | alice | | website | string | no | User personal website | https://my-website.com | | zoneinfo | string | no | User time zone information | GMT-08:00 | | locale | string | no | Locale | af | | formatted | string | no | Full standard address | 132, My Street, Kingston, New York 12401. | | region | string | no | User location | Xinjiang Uyghur Autonomous Region | | userSourceType | string | yes | Source type:
- excel: Imported through excel
- register: User self-registration
- adminCreated: Manual creation by the administrator backend (including creating users using the management API)
- syncTask: Synchronization task of the synchronization center
| excel | | userSourceId | string | No | Application ID or sync task ID | | | lastLoginApp | string | No | Application ID of the user's last login | | | mainDepartmentId | string | No | User's main department ID | | | lastMfaTime | string | No | Time when the user last performed MFA authentication | | | passwordSecurityLevel | number | No | User password security strength level | 1 | | resetPasswordOnNextLogin | boolean | no | Require password reset on next login | | | registerSource | array | no | Registration method | | | departmentIds | array | no | List of department IDs to which the user belongs | ["624d930c3xxxx5c08dd4986e","624d93102xxxx012f33cd2fe"] | | identities | array | no | External identity source Nested type: <a IdentityDto. | | | identityNumber | string | No | User ID number | 420421xxxxxxxx1234 | | customData | object | No | User's extended field data | {"school":"Peking University","age":22} | | postIdList | array | No | User-associated department ID | | | statusChangedAt | string | No | User status last modified time | 2022-07-03T03:20:30.000Z | | tenantId | string | No | User tenant ID | |

IdentityDto

NameTypeIs it requiredDescriptionExample value
identityIdstringyesIdentity source ID62299d8b866d2dab79a89dc4
extIdpIdstringyesIdentity source connection ID6076bacxxxxxxxxd80d993b5
providerstringyesExternal identity source type:
- wechat: WeChat
- qq: QQ
- wechatwork: WeChat for Enterprise
- dingtalk: DingTalk
- weibo: weibo
- github: GitHub
- alipay: Alipay
- baidu: Baidu
- lark: Feishu
- welink: Welink
- yidun: NetEase Yidun
- qingcloud: Qingyun
- google: Google
- gitlab: GitLab
- gitee: Gitee
- twitter: Twitter
- facebook: Facebook
- slack: Slack
- linkedin: Linkedin
- instagram: Instagram
- oidc: OIDC-type enterprise identity source
- oauth2: OAuth2-type enterprise identity source
- saml: SAML-type enterprise identity source
- ldap: LDAP-type enterprise identity source
- ad: AD-based enterprise identity source
- cas: CAS-based enterprise identity source
- azure-ad: Azure AD-based enterprise identity source
oidc
typestringyesIdentity type, such as unionid, openid, primaryopenid
userIdInIdpstringyesID in the external identity sourceoj7Nq05R-RRaqak0_YlMLnnIwsvg
userInfoInIdpobjectyesUser identity information in idp
accessTokenstringnoAccess Token in the external identity source (this parameter is returned only when the user actively obtains it, and it is not returned by the management interface).57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx
refreshTokenstringnoRefresh Token in the external identity source (this parameter is returned only when the user actively obtains it, and it is not returned by the management interface).57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx
originConnIdsarrayyesIdentity source connection ID list from which the identity comes["605492ac41xxxxe0362f0707"]

Agent infrastructure for identity, memory, and web action.